=== libs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.5)


# Add utils	library
add_subdirectory(utils)

# Add macro library
add_subdirectory(macro)

# Add compiler library
add_subdirectory(compiler)

# Add C++ wrapper library
# add_subdirectory(cpp-wrap)
